"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _classCallCheck2 = _interopRequireDefault(require("reshow-runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("reshow-runtime/helpers/createClass"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("reshow-runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf3 = _interopRequireDefault(require("reshow-runtime/helpers/getPrototypeOf"));

var _inherits2 = _interopRequireDefault(require("reshow-runtime/helpers/inherits"));

var _assertThisInitialized2 = _interopRequireDefault(require("reshow-runtime/helpers/assertThisInitialized"));

var _defineProperty2 = _interopRequireDefault(require("reshow-runtime/helpers/defineProperty"));

var _scrollDispatcher = _interopRequireDefault(require("../scrollDispatcher"));

var _scrollStore2 = require("./scrollStore");

var _getObjectValue = _interopRequireDefault(require("get-object-value"));

var fastScrollStore =
/*#__PURE__*/
function (_scrollStore) {
  (0, _inherits2.default)(fastScrollStore, _scrollStore);

  function fastScrollStore() {
    var _getPrototypeOf2;

    var _this;

    (0, _classCallCheck2.default)(this, fastScrollStore);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = (0, _possibleConstructorReturn2.default)(this, (_getPrototypeOf2 = (0, _getPrototypeOf3.default)(fastScrollStore)).call.apply(_getPrototypeOf2, [this].concat(args)));
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)((0, _assertThisInitialized2.default)(_this)), "storeName", 'fastScroll');
    return _this;
  }

  (0, _createClass2.default)(fastScrollStore, [{
    key: "runScrollMonitor",
    value: function runScrollMonitor(e) {
      this.triggerScroll(e.target);
    }
  }]);
  return fastScrollStore;
}(_scrollStore2.scrollStore);

var _default = new fastScrollStore(_scrollDispatcher.default);

exports.default = _default;
module.exports = exports.default;